<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;

class CreateTradersTable extends Migration
{
    /*
     * Run the migrations.
     *
     * @return void
     */

    public function up()
    {

        /*
         * Table: traders
         */
        Schema::create('traders', function ($table) {
            $table->increments('id');
            $table->string('username', 50)->nullable();
            $table->string('description', 500)->nullable();
            $table->text('account_type')->nullable();
            $table->string('f_name', 50)->nullable();
            $table->string('l_name', 50)->nullable();
            $table->string('country', 50)->nullable();
            $table->integer('user_id')->nullable();
            $table->integer('acc_role_id')->nullable();
            $table->text('broker_ids')->nullable();
            $table->integer('base_currency')->nullable();
            $table->integer('is_exist_acc_broker')->nullable();
            $table->integer('is_retr_trade_his')->nullable();
            $table->softDeletes();
            $table->nullableTimestamps();
        });
    }

    /*
    * Reverse the migrations.
    *
    * @return void
    */

    public function down()
    {
        Schema::drop('traders');
    }
}
