<?php

namespace Litecms\Trader;

use DB;
use Illuminate\Database\Seeder;

class TraderTableSeeder extends Seeder
{
    public function run()
    {
        DB::table('traders')->insert([
            
        ]);

        DB::table('permissions')->insert([
            [
                'slug'      => 'trader.trader.view',
                'name'      => 'View Trader',
            ],
            [
                'slug'      => 'trader.trader.create',
                'name'      => 'Create Trader',
            ],
            [
                'slug'      => 'trader.trader.edit',
                'name'      => 'Update Trader',
            ],
            [
                'slug'      => 'trader.trader.delete',
                'name'      => 'Delete Trader',
            ],
            
            // Customize this permissions if needed.
            [
                'slug'      => 'trader.trader.verify',
                'name'      => 'Verify Trader',
            ],
            [
                'slug'      => 'trader.trader.approve',
                'name'      => 'Approve Trader',
            ],
            [
                'slug'      => 'trader.trader.publish',
                'name'      => 'Publish Trader',
            ],
            [
                'slug'      => 'trader.trader.unpublish',
                'name'      => 'Unpublish Trader',
            ],
            [
                'slug'      => 'trader.trader.cancel',
                'name'      => 'Cancel Trader',
            ],
            [
                'slug'      => 'trader.trader.archive',
                'name'      => 'Archive Trader',
            ],
            
        ]);

        DB::table('menus')->insert([

            [
                'parent_id'   => 1,
                'key'         => null,
                'url'         => 'admin/trader/trader',
                'name'        => 'Trader',
                'description' => null,
                'icon'        => 'fa fa-newspaper-o',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            [
                'parent_id'   => 2,
                'key'         => null,
                'url'         => 'user/trader/trader',
                'name'        => 'Trader',
                'description' => null,
                'icon'        => 'icon-book-open',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            [
                'parent_id'   => 3,
                'key'         => null,
                'url'         => 'trader',
                'name'        => 'Trader',
                'description' => null,
                'icon'        => null,
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

        ]);

        DB::table('settings')->insert([
            // Uncomment  and edit this section for entering value to settings table.
            /*
            [
                'pacakge'   => 'Trader',
                'module'    => 'Trader',
                'user_type' => null,
                'user_id'   => null,
                'key'       => 'trader.trader.key',
                'name'      => 'Some name',
                'value'     => 'Some value',
                'type'      => 'Default',
                'control'   => 'text',
            ],
            */
        ]);
    }
}
