<?php

namespace Litecms\Trader\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class TraderTransformer extends TransformerAbstract
{
    public function transform(\Litecms\Trader\Models\Trader $trader)
    {
        return [
            'id'                => $trader->getRouteKey(),
            'key'               => [
                'public'    => $trader->getPublicKey(),
                'route'     => $trader->getRouteKey(),
            ], 
            'id'                => $trader->id,
            'username'          => $trader->username,
            'description'       => $trader->description,
            'account_type'      => $trader->account_type,
            'f_name'            => $trader->f_name,
            'l_name'            => $trader->l_name,
            'country'           => $trader->country,
            'user_id'           => $trader->user_id,
            'acc_role_id'       => $trader->acc_role_id,
            'broker_ids'        => $trader->broker_ids,
            'base_currency'     => $trader->base_currency,
            'is_exist_acc_broker' => $trader->is_exist_acc_broker,
            'is_retr_trade_his' => $trader->is_retr_trade_his,
            'url'               => [
                'public'    => trans_url('trader/'.$trader->getPublicKey()),
                'user'      => guard_url('trader/trader/'.$trader->getRouteKey()),
            ], 
            'status'            => trans('app.'.$trader->status),
            'created_at'        => format_date($trader->created_at),
            'updated_at'        => format_date($trader->updated_at),
        ];
    }
}