<?php

namespace Litecms\Trader;

use User;

class Trader
{
    /**
     * $trader object.
     */
    protected $trader;

    /**
     * Constructor.
     */
    public function __construct(\Litecms\Trader\Interfaces\TraderRepositoryInterface $trader)
    {
        $this->trader = $trader;
    }

    /**
     * Returns count of trader.
     *
     * @param array $filter
     *
     * @return int
     */
    public function count()
    {
        return  0;
    }

    /**
     * Make gadget View
     *
     * @param string $view
     *
     * @param int $count
     *
     * @return View
     */
    public function gadget($view = 'admin.trader.gadget', $count = 10)
    {

        if (User::hasRole('user')) {
            $this->trader->pushCriteria(new \Litepie\Litecms\Repositories\Criteria\TraderUserCriteria());
        }

        $trader = $this->trader->scopeQuery(function ($query) use ($count) {
            return $query->orderBy('id', 'DESC')->take($count);
        })->all();

        return view('trader::' . $view, compact('trader'))->render();
    }
}
