<?php

namespace Litecms\Trader\Workflow;

use Litecms\Trader\Models\Trader;
use Litecms\Trader\Notifications\TraderWorkflow as TraderNotifyer;
use Notification;

class TraderNotification
{

    /**
     * Send the notification to the users after complete.
     *
     * @param Trader $trader
     *
     * @return void
     */
    public function complete(Trader $trader)
    {
        return Notification::send($trader->user, new TraderNotifyer($trader, 'complete'));;
    }

    /**
     * Send the notification to the users after verify.
     *
     * @param Trader $trader
     *
     * @return void
     */
    public function verify(Trader $trader)
    {
        return Notification::send($trader->user, new TraderNotifyer($trader, 'verify'));;
    }

    /**
     * Send the notification to the users after approve.
     *
     * @param Trader $trader
     *
     * @return void
     */
    public function approve(Trader $trader)
    {
        return Notification::send($trader->user, new TraderNotifyer($trader, 'approve'));;

    }

    /**
     * Send the notification to the users after publish.
     *
     * @param Trader $trader
     *
     * @return void
     */
    public function publish(Trader $trader)
    {
        return Notification::send($trader->user, new TraderNotifyer($trader, 'publish'));;
    }

    /**
     * Send the notification to the users after archive.
     *
     * @param Trader $trader
     *
     * @return void
     */
    public function archive(Trader $trader)
    {
        return Notification::send($trader->user, new TraderNotifyer($trader, 'archive'));;

    }

    /**
     * Send the notification to the users after unpublish.
     *
     * @param Trader $trader
     *
     * @return void
     */
    public function unpublish(Trader $trader)
    {
        return Notification::send($trader->user, new TraderNotifyer($trader, 'unpublish'));;

    }
}
